0

I am new to programming, Debian and emacs.

I tried to install packages of smex on emacs and I downloaded it from smex@marmalade but when I do the install step, emacs told me there is no match for "package-install".

Then I thought I should upgrade my emacs23 to 24 but I can not upgrade to emacs24 by

sudo aptitude upgrade

and I also do not understand other ways to install smex without using "package-install".

Could anyone help?

0
1

If you install emacs24 explicitly, you should then be able to M-x package-install:

sudo aptitude install emacs24

On Wheezy (Debian 7), the simplest option to install Emacs 24 is to enable backports:

sudo mkdir -p /etc/apt/sources.list.d/
echo deb http://http.debian.net/debian wheezy-backports main | sudo tee /etc/apt/sources.list.d/wheezy-backports.list
sudo apt-get update
sudo aptitude install -t wheezy-backports emacs24
0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.